Edit
curl --request POST \
--url https://test.api.cxconnect.ai/language/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"edits": [],
"tone_level": 5,
"temperature": 0.5,
"meta": {
"foo": "bar"
}
}
'import requests
url = "https://test.api.cxconnect.ai/language/edit"
payload = {
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"edits": [],
"tone_level": 5,
"temperature": 0.5,
"meta": { "foo": "bar" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document: {value: '<string>', mime_type: '<string>', language: '<string>', meta: {}},
edits: [],
tone_level: 5,
temperature: 0.5,
meta: {foo: 'bar'}
})
};
fetch('https://test.api.cxconnect.ai/language/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"original": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"meta": {
"foo": "bar"
}
}language
Edit
The edit endpoint uses generative AI to apply requested edits to a document
POST
/
language
/
edit
Edit
Authorizations
OAuth2BearerAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
Available options:
grammar, syntax, simplify, clarify Available options:
default, expand, shorten Available options:
none, academic, admiring, amused, angry, annoyed, approving, aware, confident, confused, curious, disappointed, disapproving, eager, embarrassed, excited, fearful, friendly, funny, grateful, joyful, loving, mournful, neutral, optimistic, professional, relieved, remorseful, repulsed, sad, worried, surprised, sympathetic Required range:
1 <= x <= 10Required range:
0 <= x <= 1Show child attributes
Show child attributes
Example:
{ "foo": "bar" }
Was this page helpful?
⌘I